tbb::interface10::internal Namespace Reference

## Classes

class | concurrent_geometric_level_generator
class | concurrent_skip_list
class | skip_list_iterator
class | skip_list_node

## Functions

template<typename NodeType , bool is_const1, bool is_const2>
bool | operator== (const skip_list_iterator< NodeType, is_const1 > &lhs, const skip_list_iterator< NodeType, is_const2 > &rhs)
template<typename NodeType , bool is_const1, bool is_const2>
bool | operator!= (const skip_list_iterator< NodeType, is_const1 > &lhs, const skip_list_iterator< NodeType, is_const2 > &rhs)

## Function Documentation

## operator!=()

template<typename NodeType , bool is_const1, bool is_const2>

bool tbb::interface10::internal::operator!= | ( | const skip_list_iterator< NodeType, is_const1 > & | lhs,
|  | const skip_list_iterator< NodeType, is_const2 > & | rhs
| ) |  |

Definition at line 215 of file _concurrent_skip_list_impl.h.

{
return lhs.my_node_ptr != rhs.my_node_ptr;
}

References tbb::interface10::internal::skip_list_iterator< NodeType, is_const >::my_node_ptr.

## operator==()

template<typename NodeType , bool is_const1, bool is_const2>

bool tbb::interface10::internal::operator== | ( | const skip_list_iterator< NodeType, is_const1 > & | lhs,
|  | const skip_list_iterator< NodeType, is_const2 > & | rhs
| ) |  |

Definition at line 210 of file _concurrent_skip_list_impl.h.

{
return lhs.my_node_ptr == rhs.my_node_ptr;
}

References tbb::interface10::internal::skip_list_iterator< NodeType, is_const >::my_node_ptr.

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.